org.gradle.external.javadoc

## Interface OptionLessJavadocOptionFileOption<T>

- Type Parameters:
    `T` - The type which this option represents.
  All Known Subinterfaces:
    JavadocOptionFileOption<T>

      public interface OptionLessJavadocOptionFileOption<T>

  Represents a Javadoc option.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `T` | `getValue()`
    `void` | `setValue(T value)`
    `void` | `write(org.gradle.external.javadoc.internal.JavadocOptionFileWriterContext writerContext)`

- - ### Method Detail

    - #### getValue

          T getValue()

    - #### setValue

          void setValue(T value)

    - #### write

          void write(org.gradle.external.javadoc.internal.JavadocOptionFileWriterContext writerContext)
                     throws IOException

      Throws:
        `IOException`